Pulse2Excel Hilfe

Willkommen zur Pulse2Excel Hilfe

Inhalt

  • Vorgehensweise

    • Auswahl des Pulse Projekts

    • Auswahl der zu exportierenden Function(s)

    • Auswahl der Ausrichtung

    • Auswahl der Ausgabeparameter

    • Starten des Exports

  • Referenz

    • Dialogfeld Hauptprogramm

    • Dialogfeld Datei öffnen

    • Dialogfeld Info

  • Fragen und Antworten

    • Wie beeinflusse ich die Struktur des Exports

    • Welche Werte werden exportiert

    • Warum wird nur ein Spektrum exportiert

    • Warum gibt es die Displaygruppe "Pulse2Excel"


Auswahl des Pulse Projekts

Zunächst muß das zu exportierende Projekt gewählt werden.

Wird Pulse2Excel gestartet stellt das Programm fest ob Pulse bereits aktiv ist und ein Projekt geladen ist, sind diese Bedingungen erfüllt wird das Listenfeld Functions automatisch aktualisiert.

Andernfalls wird der Windows "Datei Öffnen" Dialog aktiviert

und nachdem dort eine Pulse Datei geöffnet worden ist wird das Listenfeld Functions aktualisiert. Soll später eine andere Datei geladen werden erfolgt dies über die Schaltfläche Durchsuchen

Nächster Schritt Auswahl der zu exportierenden Function(s)


Auswahl der zu exportierenden Function(s)

In dem "Listenfeld Functions" werden die in dem geladenen PULSE-Projekt definierten Functions angezeigt. Die einzelnen Function-Groups und Functions können hier für den Export aktiviert, bzw. deaktiviert werden. Nur aktivierte Functions werden auch exportiert. Für jede Function-Group wird eine eigene Datei in Excel erzeugt. Sie können also über die Struktur der Funktions in PULSE die Struktur der Ausgabe in Excel bestimmen.

Mit den Kontrollkästchen der Gruppen können alle Functions der jeweiligen Gruppe aktiviert, bzw. deaktiviert werden.

Wird eine Function in der Liste selektiert, werden auf der rechten Seite des Dialoges die Details der entsprechenden Function angezeigt

Um zu gewährleisten das die jeweiligen Detailinformationen felerfrei sind, muß bei der derzeit aktuellen Version von Pulse (5.1) ein jeweils Display erzeugt werden, in dem alle Daten dargestellt werden. Diese Displays sind im DisplayOrganizer unter der Gruppe "Pulse2Excel" zusammengefasst.

Nächster Schritt Auswahl der Ausrichtung


Auswahl der Ausrichtung

Hier kann die Ausrichtung der Daten in Excel bestimmt werden.

Ordnet die Exportmatrix so an, dass die Einträge der Frequenzachse in einer Zeile aufgelistet werden. Die Spektren befinden sich dann untereinander.

Wenn gleichzeitig "Optimal" angewählt ist, wird diese Einstellung eventuell ignoriert.

Ordnet die Exportmatrix so an, dass die Einträge der Frequenzachse in einer Spalte aufgelistet werden. Die Spektren werden dann von rechts nach links angeordnet.

Wenn gleichzeitig "Optimal" angewählt ist, wird diese Einstellung eventuell ignoriert.

Legt fest, dass die unter "Frequenz in Zeile" oder "Frequenz in Spalte" festgelegte Voreinstellung immer verwendet wird, selbst wenn die Export-Matrix dadurch auf mehrere Arbeitsblätter verteilt werden muss. Das lässt sich möglicherweise durch die Einstellung "Optimal" verhindern.

Mit dieser Einstellung wird versucht, die Export-Matrix einer Function auf einem einzigen Arbeitsblatt zu plazieren.

Das bedeutet, dass die gewählte Voreinstellung "Frequenz in Zeile" oder "Frequenz in Spalte" dann ignoriert wird, wenn die jeweils andere Auswahl die Plazierung auf einem Arbeitsblatt ermöglicht, die gewählte Voreinstellung aber nicht.

Nächster Schritt Auswahl der Ausgabeparameter


Auswahl der Ausgabeparameter

Die Liste führt die physikalischen Größen auf, die exportiert werden können.

Zu jeder Größe kann die Ausgabe-Einheit RMS oder dB angegeben werden. Die Einstellungen von Unverändert (PWR), Linear (RMS), dB und der dB-Referenz werden für jede physikalische Größe getrennt eingestellt. Weicht die physikalische Einheit einer Function von den vordefinierten ab (zB. bei Integration von Beschleunigung), wird die Einstellung für sonstige genommen

Nächster Schritt Starten des Exports.


Starten des Exports

Durch Klicken auf [image] wird, falls noch nicht geschehen, Excel gestartet und die Daten der gewählten Functions zu Excel übertragen. Während der Übertragung ist Excel unsichtbar, nach dem Export wird Excel wieder sichtbar und aktiviert.

Um zu gewährleisten das alle Daten aus Pulse übertragen werden können, muß bei der derzeit aktuellen Version von Pulse (5.1) ein jeweils Display erzeugt werden, in dem alle Daten dargestellt werden. Diese Displays sind im DisplayOrganizer unter der Gruppe "Pulse2Excel" zusammengefasst.

Pro Group wird eine Mappe und pro Function mindestens ein Arbeitsblatt angelegt. Die Arbeitsblätter einer Function werden mit dem Label der Function bezeichnet.


Dialogfeld Hauptprogramm

Dialogfeld des Programms

Willkommen zur Pulse2Excel Hilfe


Dialogfeld Datei öffnen

In diesem Dialogfeld kann das zu exportierende Pulse Projekt ausgewählt werden.


Dialogfeld Info

In diesem Dialogfeld wir die aktuelle Version von Pulse2Excel angezeigt


FAQ: Wie beeinflusse ich die Struktur des Exports

Wie beeinflusse ich die Struktur des Exports?

Durch die Anordnung der Functions in verschiedenen Function-Groups können Sie den Export strukturieren. Für jede Function-Group wird eine eigene Datei erzeugt.Für jede Function der Group wird ein eigenes Arbeitsblatt mit dem Namen der Function und dem Zusatz "(1)" erzeugt. Passen nicht alle Daten einer Function in ein Arbeitsblatt, werden weitere Arbeitsblätter erzeugt, die dann die Namenserweiterung "(2)", "(3)" usw. erhalten.


FAQ: Welche Werte werden exportiert

Welche Werte werden exportiert?

Grundsätzlich werden entweder RMS-Werte (linear) oder dB-Werte exportiert. Für den Export von Werten in dB müssen Sie zunächst den Referenzwert angeben. Dieser ist für Luftschall (Pascal), Beschleunigung (m/s^2) und Spannung bereits mit den Standardwerten von 20E-6 Pa, 1E-6 m/s^2 und 1E-6 V belegt. Möchten Sie auch °C, °F und °K in dB exportieren, können Sie eine sinnvolle Referenz dazu angeben.

Für alle anderen Einheiten, z.B. bei integrierten Beschleunigungsmessungen, können Sie eine allgemeine Referenz angeben.


FAQ: Warum wird nur ein Spektrum exportiert

Warum wird nur ein Spektrum exportiert?

Obwohl ich für den entsprechenden Analyzer einen Multibuffer verwendet habe, wird nur ein Spektrum exportiert. Wieso?

Von der Software wird die aktuelle Einstellung des Buffers der Function übernommen. Wahrscheinlich ist dort "Input" angewählt. Wechseln Sie zu PULSE und wählen Sie über den Function-Organizer den Multibuffer für die betreffende Function. Lassen Sie dann die Software die Liste der Functions über neu generieren. Klicken Sie dazu auf die Schaltfläche "<<< Liste aktualisieren".


Warum gibt es die Displaygruppe "Pulse2Excel"?

Um zu gewährleisten das die per OLE ermittelten Daten (Spektren, Anzahl der Spektren...) richtig sind, muß vor einer Messung der OLE Befehl RequestData ausgeführt werden, damit wird Pulse mitgeteilt das die Werte obwohl sie in keinem Display angezeigt werden trotzdem aktualisiert werden müssen. Da Pulse2Excel aber die Messung nicht startet kann dieser Befehl nicht gesendet werden. Die einzige Möglichkeit die Richtigkeit der Daten zu gewährleisten, ist es ein Display mit den jeweiligen Daten in Pulse zu erzeugen. Diese Displays werden in der Displaygruppe "Pulse2Excel" zusammengefasst. Die Displaygruppe existert nur während des Exports und während das Listenfeld Functions neu angezeigt wird.


Warum verändert Pulse2Excel das Projekt

Das Projekt muß temporär geändert werden (siehe auch Warum gibt es die Displaygruppe "Pulse2Excel"), die Änderungen werde aber alle rückgängig gemacht, so daß das Projekt nicht gesichert werden muß.


Auswahl dB

dB

Gibt an, das die gewählte physikalische Größe in dB exportiert wird. Die Referenz für 0 dB ist der in dem Eingabefeld Referenz enthaltene Wert.


Auswahl Frequenz in Spalte

Frequenz in Spalte

Ordnet die Exportmatrix so an, dass die Einträge der Frequenzachse in einer Spalte aufgelistet werden. Die Spektren werden dann von rechts nach links angeordnet.

Wenn gleichzeitig "Optimal" angewählt ist, wird diese Einstellung eventuell ignoriert. Siehe auch: Immer diese Ausrichtung


Auswahl Frequenz in Zeile

Frequenz in Zeile

Ordnet die Exportmatrix so an, dass die Einträge der Frequenzachse in einer Zeile aufgelistet werden. Die Spektren befinden sich dann untereinander.

Wenn gleichzeitig "Optimal" angewählt ist, wird diese Einstellung eventuell ignoriert. Siehe auch: Immer diese Ausrichtung


Auswahl Immer diese Ausrichtung

Immer diese Ausrichtung

Legt fest, dass die unter "Frequenz in Zeile" oder "Frequenz in Spalte" festgelegte Voreinstellung immer verwendet wird, selbst wenn die Export-Matrix dadurch auf mehrere Arbeitsblätter verteilt werden muss. Das lässt sich möglicherweise durch die Einstellung "Optimal" verhindern.


Auswahl Optimal

Optimal

Mit dieser Einstellung wird versucht, die Export-Matrix einer Function auf einem einzigen Arbeitsblatt zu plazieren.

Das bedeutet, dass die gewählte Voreinstellung "Frequenz in Zeile" oder "Frequenz in Spalte" dann ignoriert wird, wenn die jeweils andere Auswahl die Plazierung auf einem Arbeitsblatt ermöglicht, die gewählte Voreinstellung aber nicht.


Auswahl Pulse sichtbar

Pulse sichtbar

Normalerweise ist PULSE für den Benutzer nicht sichtbar, wenn es per OLE-Automation gestartet wurde. Diese Option holt Pulse in den Vordergrund und macht es für den Benutzer sichtbar. Sie können diese Funktion verwenden, um Änderungen an den Functions vorzunehmen oder sogar um ein anders Projekt in PULSE zu laden.


Auswahl RMS

Linear (RMS)

Gibt an, das die gewählte physikalische Größe als RMS-Wert exportiert wird.


Auswahl Unverändert (PWR)

Unverändert (PWR)

Gibt an, das die gewählte physikalische Größe wie von PULSE übernommen exportiert wird. Auch wenn Sie in Pulse selbst die Darstellung dB oder RMS gewählt haben, erhält das Programm über die OLE-Schnittstelle üblicherweise quadrierte Werte (PWR) der physikalischen Messgröße. Sinnvollerweise wählen Sie diese Einstellung, wenn Sie weitere Berechnungen (z.B. Summen- oder Mittelwertbildung) in Excel durchführen möchten.

Diese Einstellung sollten Sie auch wählen, wenn Sie z.B. Phasenwinkel oder Koherenzen exportieren möchten.


Eingabefeld Analyzer

Analyzer

Zeigt den Analyzer der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt vorgenommen werden


Eingabefeld Anzahl Linien

Anzahl Linien

Zeigt die Anzahl der zu einem Spektrum gehörenden Frequenzlinien der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt durch Ändern der Analyzer-Properties vorgenommen werden. Dabei werden aber die bereits vorhandenen Messdaten gelöscht.


Eingabefeld Anzahl Spektren

Anzahl Spektren

Zeigt die Anzahl der im Daten-Buffer befindlichen Spektren der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt durch Ändern des Daten-Buffers vorgenommen werden


Eingabefeld Buffer

Buffer

Zeigt den Daten-Buffer der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt vorgenommen werden.

Der Eintrag weist die Herkunft der Daten für die angewählte Function aus. Steht hier "Input" wird nur das zuletzt gemessene Spektrum exportiert. Steht der Eintrag auf "Multibuffer x", werden alle im Multibuffer befindlichen Spektren exportiert. Den Buffer können Sie im Function-Organizer von PULSE ändern. Sie dazu auch das Thema: Warum wird nur ein Spektrum exportiert.


Eingabefeld Dateiname

Dateiname

Hier wird der Pfad des zuletzt genutzen PULSE-Projekts oder der Name des gerade verwendeten Projekts angezeigt. Beim Klicken auf die Schaltfläche "Durchsuchen..." wird zu diesem Verzeichnis mit diesem Projekt gewechselt und das ausgewählte Projekt in PULSE geladen. Nach dem Laden wird der Projektname ohne Pfad angezeigt und die Liste der Functions automatisch aktualisiert.


Eingabefeld Referenz

Referenz

Gibt die Referenz für 0 dB der gewählten physikalische Größe an. Ist die RMS gewählt, ist dieses Feld deaktiviert.


Eingabefeld Signal

Signal

Zeigt die Signalbezeichnung der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt vorgenommen werden


Listenfeld Functions

Liste der Functions

Hier werden die in dem geladenen PULSE-Projekt definierten Functions angezeigt. Die einzelnen Function-Groups und Functions können hier für den Export aktiviert, bzw. deaktiviert werden. Nur aktivierte Functions werden auch exportiert. Für jede Function-Group wird eine eigene Datei in Excel erzeugt. Sie können also über die Struktur der Funktions in PULSE die Struktur der Ausgabe in Excel bestimmen.


Listenfeld Physikalische Größen

Physikalische Größen

Die Liste führt die physikalischen Größen auf, die exportiert werden können. Zu jeder Größe kann die Ausgabe-Einheit RMS oder dB angegeben werden. Die Einstellungen von Unverändert (PWR), Linear (RMS), dB und der dB-Referenz werden für jede physikalische Größe getrennt eingestellt. Weicht die physikalische Einheit einer Function von den vordefinierten ab (zB. bei Integration von Beschleunigung), wird die Einstellung für sonstige genommen


Listenfeld Status

Status der Verarbeitung

Während des Exports werden hier zu Ihrer Information die gerade durchgeführten Schritte angezeigt.


.topic 2154169321
Dateiname Hier wird der Pfad des zuletzt genutzen PULSE-Projekts oder der Name des gerade verwendeten Projekts angezeigt. Beim Klicken auf die Schaltfläche \" Durchsuchen... \" wird zu diesem Verzeichnis mit diesem Projekt gewechselt und das ausgewählte Projekt in PULSE geladen. Nach dem Laden wird der Projektname ohne Pfad angezeigt und die  Liste der Functions  automatisch aktualisiert.

.topic 2154169322
Durchsuchen Beim Klicken auf diese Schaltfläche können Sie mit Hile des Dialogfelds \"Datei öffnen\" ein PULSE-Projekt laden. Dazu wird PULSE per OLE-Automation gestartet und das Projekt wird in PULSE geladen. Nach dem Laden wird automatisch die Liste der in dem Projekt definierten Functions aktualisiert und Sie können die für den Export vorgesehenen Functions aktivieren. Siehe auch  Liste der Functions

.topic 2154169324
Liste der Functions Hier werden die in dem geladenen PULSE-Projekt definierten Functions angezeigt. Die einzelnen Function-Groups und Functions können hier für den Export aktiviert, bzw. deaktiviert werden. Nur aktivierte Functions werden auch exportiert. Für jede Function-Group wird eine eigene Datei in Excel erzeugt. Sie können also über die Struktur der Funktions in PULSE die Struktur der Ausgabe in Excel bestimmen.

.topic 2154169323
Liste aktualisieren Dient zur Aktualisierung der Function-Liste des PULSE-Projekts. Haben Sie nach Start des Programms Änderungen an der Definition der Functions in PULSE durchgeführt, müssen Sie anschließend die Liste über diese Schaltfläche aktualisieren.

.topic 2154169326
Signal Zeigt die Signalbezeichnung der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt vorgenommen werden

.topic 2154169327
Analyzer Zeigt den Analyzer der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt vorgenommen werden

.topic 2154169329
Buffer Zeigt den Daten-Buffer der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt vorgenommen werden. Der Eintrag weist die Herkunft der Daten für die angewählte Function aus. Steht hier \"Input\" wird nur das zuletzt gemessene Spektrum exportiert. Steht der Eintrag auf \"Multibuffer x\", werden alle im Multibuffer befindlichen Spektren exportiert. Den Buffer können Sie im Function-Organizer von PULSE ändern. Sie dazu auch das Thema:  Warum wird nur ein Spektrum exportiert .

.topic 2154169330
Anzahl Spektren Zeigt die Anzahl der im Daten-Buffer befindlichen Spektren der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt durch Ändern des Daten-Buffers vorgenommen werden

.topic 2154169331
Anzahl Linien Zeigt die Anzahl der zu einem Spektrum gehörenden Frequenzlinien der gewählten Function an. Das Eingabefeld ist schreibgeschützt. Änderungen können nur in Pulse direkt durch Ändern der Analyzer-Properties vorgenommen werden. Dabei werden aber die bereits vorhandenen Messdaten gelöscht.

.topic 2154169325
Export! Durch Klicken auf diese Schaltfläche werden die Daten der gewählten Functions zu Excel übertragen.

.topic 2154169320
Pulse sichtbar Normalerweise ist PULSE für den Benutzer nicht sichtbar, wenn es per OLE-Automation gestartet wurde. Diese Option holt Pulse in den Vordergrund und macht es für den Benutzer sichtbar. Sie können diese Funktion verwenden, um Änderungen an den Functions vorzunehmen oder sogar um ein anders Projekt in PULSE zu laden.

.topic 2154168321
Schließen Beendet das Programm ohne weitere Aktionen. Ist PULSE oder Excel zu diesem Zeitpunkt nicht sichtbar, werden auch die nicht sichtbaren Programme beendet.

.topic 2154225990
? - Hilfe Ruft die Hilfedatei des Programms auf.

.topic 2154169332
Frequenz in Zeile Ordnet die Exportmatrix so an, dass die Einträge der Frequenzachse in einer Zeile aufgelistet werden. Die Spektren befinden sich dann untereinander. Wenn gleichzeitig \" Optimal \" angewählt ist, wird diese Einstellung eventuell ignoriert. Siehe auch:  Immer diese Ausrichtung

.topic 2154169333
Frequenz in Spalte Ordnet die Exportmatrix so an, dass die Einträge der Frequenzachse in einer Spalte aufgelistet werden. Die Spektren werden dann von rechts nach links angeordnet. Wenn gleichzeitig \" Optimal \" angewählt ist, wird diese Einstellung eventuell ignoriert. Siehe auch:  Immer diese Ausrichtung

.topic 2154169336
Immer diese Ausrichtung Legt fest, dass die unter \" Frequenz in Zeile \" oder \" Frequenz in Spalte \" festgelegte Voreinstellung immer verwendet wird, selbst wenn die Export-Matrix dadurch auf mehrere Arbeitsblätter verteilt werden muss. Das lässt sich möglicherweise durch die Einstellung \" Optimal \" verhindern.

.topic 2154169337
Optimal Mit dieser Einstellung wird versucht, die Export-Matrix einer Function auf einem einzigen Arbeitsblatt zu plazieren. Das bedeutet, dass die gewählte Voreinstellung \" Frequenz in Zeile \" oder \" Frequenz in Spalte \" dann ignoriert wird, wenn die jeweils andere Auswahl die Plazierung auf einem Arbeitsblatt ermöglicht, die gewählte Voreinstellung aber nicht.

.topic 2154169335
Physikalische Größen Die Liste führt die physikalischen Größen auf, die exportiert werden können. Zu jeder Größe kann die Ausgabe-Einheit RMS oder dB angegeben werden. Die Einstellungen von  Unverändert (PWR) ,  Linear (RMS) ,  dB  und der  dB-Referenz  werden für jede physikalische Größe getrennt eingestellt. Weicht die physikalische Einheit einer Function von den vordefinierten ab (zB. bei Integration von Beschleunigung), wird die Einstellung für sonstige genommen

.topic 2154169338
Linear (RMS) Gibt an, das die gewählte  physikalische Größe  als RMS-Wert exportiert wird.

.topic 2154169339
dB Gibt an, das die gewählte  physikalische Größe  in dB exportiert wird. Die Referenz für 0 dB ist der in dem Eingabefeld Referenz enthaltene Wert.

.topic 2154169340
Referenz Gibt die Referenz für 0 dB der gewählten  physikalische Größe  an. Ist die RMS gewählt, ist dieses Feld deaktiviert.

.topic 2154169342
Unverändert (PWR) Gibt an, das die gewählte  physikalische Größe  wie von PULSE übernommen exportiert wird. Auch wenn Sie in Pulse selbst die Darstellung dB oder RMS gewählt haben, erhält das Programm über die OLE-Schnittstelle üblicherweise quadrierte Werte (PWR) der physikalischen Messgröße. Sinnvollerweise wählen Sie diese Einstellung, wenn Sie weitere Berechnungen (z.B. Summen- oder Mittelwertbildung) in Excel durchführen möchten. Diese Einstellung sollten Sie auch wählen, wenn Sie z.B. Phasenwinkel oder Koherenzen exportieren möchten.

.topic 2154169341
Status der Verarbeitung Während des Exports werden hier zu Ihrer Information die gerade durchgeführten Schritte angezeigt.

.topic 2154169343
Info Öffnet ein Dialogfeld mit Informationen zur Programm-Version

.topic 2154168322
Abbrechen Bricht den Export-Vorgang ab. Diese Schaltfläche ist nur während des Exports sichtbar.


Schaltfläche Abbrechen

Abbrechen

Bricht den Export-Vorgang ab.

Diese Schaltfläche ist nur während des Exports sichtbar.


Schaltfläche Durchsuchen

Durchsuchen

Beim Klicken auf diese Schaltfläche können Sie mit Hile des Dialogfelds "Datei öffnen" ein PULSE-Projekt laden. Dazu wird PULSE per OLE-Automation gestartet und das Projekt wird in PULSE geladen.

Nach dem Laden wird automatisch die Liste der in dem Projekt definierten Functions aktualisiert und Sie können die für den Export vorgesehenen Functions aktivieren. Siehe auch Liste der Functions


Schaltfläche Export

Export!

Durch Klicken auf diese Schaltfläche werden die Daten der gewählten Functions zu Excel übertragen.


Schaltfläche Hilfe

? - Hilfe

Ruft die Hilfedatei des Programms auf.


Schaltfläche Info

Info

Öffnet ein Dialogfeld mit Informationen zur Programm-Version


Schaltfläche Liste Aktualisieren

Liste aktualisieren

Dient zur Aktualisierung der Function-Liste des PULSE-Projekts. Haben Sie nach Start des Programms Änderungen an der Definition der Functions in PULSE durchgeführt, müssen Sie anschließend die Liste über diese Schaltfläche aktualisieren.


Schaltfläche Schließen

Schließen

Beendet das Programm ohne weitere Aktionen.

Ist PULSE oder Excel zu diesem Zeitpunkt nicht sichtbar, werden auch die nicht sichtbaren Programme beendet.